Update WebSocket application
curl --request PATCH \
--url https://cloud.laravel.com/api/websocket-applications/{websocketApplication} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"ping_interval": 30,
"activity_timeout": 30,
"allowed_origins": [
"<string>"
]
}
'import requests
url = "https://cloud.laravel.com/api/websocket-applications/{websocketApplication}"
payload = {
"name": "<string>",
"ping_interval": 30,
"activity_timeout": 30,
"allowed_origins": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
ping_interval: 30,
activity_timeout: 30,
allowed_origins: ['<string>']
})
};
fetch('https://cloud.laravel.com/api/websocket-applications/{websocketApplication}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "websocketApplications",
"attributes": {
"name": "<string>",
"app_id": "<string>",
"allowed_origins": [
"<unknown>"
],
"ping_interval": 123,
"activity_timeout": 123,
"max_message_size": 123,
"max_connections": 123,
"key": "<string>",
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"server": {
"data": {
"type": "websocketServers",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "websocketServers",
"attributes": {
"name": "<string>",
"type": "reverb",
"hostname": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"applications": {
"data": [
{
"type": "websocketApplications",
"id": "<string>"
}
]
}
}
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}WebSocket Applications
Update WebSocket application
Update a WebSocket application.
PATCH
/
websocket-applications
/
{websocketApplication}
Update WebSocket application
Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The websocket application identifier
Body
application/json
Was this page helpful?
⌘I

